<inp2:adm_SetPopupSize width="550" height="400"/>
<inp2:m_include t="incs/header"/>

<inp2:m_RenderElement name="combined_header" section="in-portal:permission_types" prefix="permission-type" title_preset="permission_type_edit"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
  	<td>
  		<script type="text/javascript">
				a_toolbar = new ToolBar();
				a_toolbar.AddButton( new ToolBarButton('select', '<inp2:m_phrase label="la_ToolTip_Save" escape="1"/>', function() {
							submit_event('permission-type', '<inp2:permission-type_SaveEvent/>');
						}
					) );
				a_toolbar.AddButton( new ToolBarButton('cancel', '<inp2:m_phrase label="la_ToolTip_Cancel" escape="1"/>', function() {
							cancel_edit('permission-type', 'OnCancelEdit','<inp2:permission-type_SaveEvent/>','<inp2:m_Phrase label="la_FormCancelConfirmation" escape="1"/>');
						}
				 ) );

				 a_toolbar.AddButton( new ToolBarButton('reset_edit', '<inp2:m_phrase label="la_ToolTip_Reset" escape="1"/>', function() {
						reset_form('permission-type', 'OnReset', '<inp2:m_Phrase label="la_FormResetConfirmation" escape="1"/>');
					}
			 	) );

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				a_toolbar.AddButton( new ToolBarButton('prev', '<inp2:m_phrase label="la_ToolTip_Prev" escape="1"/>', function() {
							go_to_id('permission-type', '<inp2:permission-type_PrevId/>');
						}
				 ) );
				a_toolbar.AddButton( new ToolBarButton('next', '<inp2:m_phrase label="la_ToolTip_Next" escape="1"/>', function() {
							go_to_id('permission-type', '<inp2:permission-type_NextId/>');
						}
				 ) );

				a_toolbar.Render();

				<inp2:m_if check="permission-type_IsSingle" >
					a_toolbar.HideButton('prev');
					a_toolbar.HideButton('next');
					a_toolbar.HideButton('sep1');
				<inp2:m_else/>
					<inp2:m_if check="permission-type_IsLast" >
						a_toolbar.DisableButton('next');
					</inp2:m_if>
					<inp2:m_if check="permission-type_IsFirst" >
						a_toolbar.DisableButton('prev');
					</inp2:m_if>
				</inp2:m_if>
			</script>
		</td>
	</tr>
</tbody>
</table>

<inp2:permission-type_SaveWarning name="grid_save_warning"/>
<inp2:permission-type_ErrorWarning name="form_error_warning"/>

<div id="scroll_container">
	<table class="edit-form">
		<inp2:m_RenderElement name="inp_id_label" prefix="permission-type" field="PermissionConfigId" title="la_fld_Id"/>

		<inp2:m_if check="permission-type_Field" name="IsSystem" db="1">
			<inp2:m_RenderElement name="inp_label" prefix="permission-type" field="PermissionName" title="la_fld_Name"/>
			<inp2:m_RenderElement name="inp_label" prefix="permission-type" field="Description" as_label="1"/>
			<inp2:m_RenderElement name="inp_label" prefix="permission-type" field="ModuleId" title="la_fld_Module"/>
		<inp2:m_else/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="permission-type" field="PermissionName" title="la_fld_Name"/>
			<inp2:m_RenderElement name="inp_edit_box" prefix="permission-type" field="Description"/>
			<inp2:m_RenderElement name="inp_edit_options" prefix="permission-type" field="ModuleId" has_empty="1" title="la_fld_Module"/>
		</inp2:m_if>

		<inp2:m_RenderElement name="inp_label" prefix="permission-type" field="IsSystem"/>


		<inp2:m_RenderElement name="inp_edit_filler"/>
	</table>
</div>

<inp2:m_include t="incs/footer"/>
